%define upstream_name    UUID
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for using UUID interfaces as defined in e2fsprogs
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/UUID/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Benchmark)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Devel::CheckLib) >= 1.140.0
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.60.0
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.100.0
BuildRequires: perl(List::Util) >= 1.290.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Thread::Semaphore)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(threads)
BuildRequires: perl(threads::shared)
BuildRequires: perl(vars)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl(warnings)
BuildRequires: pkgconfig(uuid)
BuildRequires: perl-devel
%description
With these 3 routines UUID''s can easily be generated and parsed/un-parsed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml NOTES README
%{_mandir}/man3/*
%{perl_vendorarch}/UUID.pm
%{perl_vendorarch}/auto/UUID/

%changelog
* Thu May 09 2024 tv <tv> 0.340.0-1.mga10
+ Revision: 2063034
- update to 0.34

* Tue Mar 26 2024 tv <tv> 0.330.0-1.mga10
+ Revision: 2052375
- update to 0.33

* Fri Dec 15 2023 tv <tv> 0.320.0-1.mga10
+ Revision: 2018236
- update to 0.32

* Tue Nov 28 2023 tv <tv> 0.310.0-2.mga10
+ Revision: 2010528
- Rebuild for perl-5.38

* Wed Nov 08 2023 tv <tv> 0.310.0-1.mga10
+ Revision: 2005176
- update to 0.31

* Wed Nov 01 2023 tv <tv> 0.300.0-1.mga10
+ Revision: 2003282
- update to 0.30

* Sat Oct 28 2023 tv <tv> 0.290.0-1.mga10
+ Revision: 2002460
- update to 0.29

* Tue Jun 07 2022 umeabot <umeabot> 0.280.0-7.mga9
+ Revision: 1862609
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 0.280.0-6.mga9
+ Revision: 1833576
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.280.0-5.mga9
+ Revision: 1727222
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.280.0-4.mga8
+ Revision: 1595300
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.280.0-3.mga8
+ Revision: 1530157
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.280.0-2.mga8
+ Revision: 1433942
- rebuild for perl 5.30

* Tue Jan 01 2019 luigiwalser <luigiwalser> 0.280.0-1.mga7
+ Revision: 1347909
- 0.28

* Fri Sep 21 2018 umeabot <umeabot> 0.270.0-4.mga7
+ Revision: 1293899
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.270.0-3.mga7
+ Revision: 1249311
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.270.0-2.mga7
+ Revision: 1167274
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.270.0-1.mga7
+ Revision: 1157502
- update to 0.27

* Thu Aug 31 2017 pterjan <pterjan> 0.260.0-3.mga7
+ Revision: 1149972
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.260.0-2.mga7
+ Revision: 1126700
- Rebuild against new Perl 5.26

* Sun May 08 2016 shlomif <shlomif> 0.260.0-1.mga6
+ Revision: 1010826
- update to 0.26

* Fri Feb 12 2016 umeabot <umeabot> 0.240.0-4.mga6
+ Revision: 958196
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.240.0-3.mga6
+ Revision: 845486
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.240.0-2.mga6
+ Revision: 841278
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 0.240.0-1.mga6
+ Revision: 837161
- update to 0.24

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 789274
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 743294
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-3.mga5
+ Revision: 686776
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.50.0-2.mga5
+ Revision: 631821
- Rebuild for perl 5.20

* Wed Mar 26 2014 luigiwalser <luigiwalser> 0.50.0-1.mga5
+ Revision: 608798
- imported package perl-UUID

